profile
viewpoint

Ask questionsx/build: add builder for netbsd/arm64

The Go 1.13 release notes currently claim that “Go now supports NetBSD on arm64.”

We have a host-netbsd-arm-bsiegert builder, but it isn't clear to me whether that is regular ARM or ARM64.

By last report (https://github.com/golang/go/issues/30824#issuecomment-502479334), the netbsd/arm64 build may be broken.

We should either get a netbsd/arm64 builder up and running and verify that it is passing, or remove the claim of support from the release notes.

CC @bsiegert @bradfitz @ianlancetaylor @andybons @toothrot @dmitshur

golang/go

Answer questions bsiegert

@cagedmantis I am excited to hear about the non-reverse arm64 builder! There does not need to be any waiting involved; we can have both builders for the time being, and I'll happily decommission the reverse builder.

@dmitshur provided a key, and I have the builder running right now. I will send a CL to add it to the coordinator.

useful!

Related questions

cmd/link: segmentation fault during mach-o linking hot 6
cmd/vet: potential false positive in the "suspect or" check hot 4
cmd/go: cannot find module providing package error stops `go get` processing hot 3
vendor/golang.org/x/xerrors/adaptor_go1_13.go:16:14: undefined: errors.Frame ... hot 2
cmd/cgo error: runtime: unknown pc 0x7fff5c805b86 hot 2
runtime: crash with "invalid pc-encoded table" hot 2
internal/poll: transparently support new linux io_uring interface hot 2
crypto/x509: 'certificate signed by unknown authority' on mipsle hot 2
x/tools/cmd/gopls: "build cache is required, but could not be located: GOCACHE is not defined and $HOME is not defined" hot 2
Plis fixit! Its not good!!! hot 2
cmd/go: needs a better error than "missing dot in first path element" when GOROOT is set incorrectly hot 2
encoding/json: invalid use of ,string struct tag, trying to unmarshal "" into int hot 2
Golang show warning after updating to 1.13 on OSX Catalina 10.15 hot 2
x/mobile: gomobile bind is failing with latest version [+cafc553] of gomobile hot 2
cmd/go: "found, but does not contain package" error refers to replaced version instead of its replacement hot 2
source:https://uonfu.com/
Github User Rank List